package
{
	import brains.SpinningObjectsBrain;
	import brains.WalkingCycleBDBrain;
	
	import flash.display.BitmapData;
	import flash.geom.Point;
	
	/**
	 * 0x50781C, 0x9CAD1C, 0xEAF7E6, 0x40A5DE, 0x0B5191
	 * @author renaun
	 */
	[SWF(width=480, height=320, frameRate=20, backgroundColor=0x40A5DE)]
	public class CGSpriteBDCGWalkingBDF extends OptimizeIt
	{
		/**
		 * 	
		 */
		public function CGSpriteBDCGWalkingBDF()
		{
			initMemory();
			spinningObjectsBrain = new SpinningObjectsBrain(stage, SpinnerBD, new Point(30, 30));
			spinningObjectsBrain.create(50, 480, 320, true);
			var bitmaps:Vector.<BitmapData> = new Vector.<BitmapData>(8, true);
			bitmaps[0] = new WalkingCycle1(73, 141);
			bitmaps[1] = new WalkingCycle2(73, 141);
			bitmaps[2] = new WalkingCycle3(73, 141);
			bitmaps[3] = new WalkingCycle4(73, 141);
			bitmaps[4] = new WalkingCycle5(73, 141);
			bitmaps[5] = new WalkingCycle6(73, 141);
			bitmaps[6] = new WalkingCycle7(73, 141);
			bitmaps[7] = new WalkingCycle8(73, 141);
			walkingCycleBDBrain = new WalkingCycleBDBrain(stage, bitmaps);
			walkingCycleBDBrain.create(20, 480, 320);
			start(true);
		}
		
		private var walkingCycleBDBrain:WalkingCycleBDBrain;
		private var spinningObjectsBrain:SpinningObjectsBrain;
		
		override public function logic():void
		{		
			super.logic();
			if (fpsLogicCount == testDuration)
				showFPS();
			spinningObjectsBrain.logic(pointerX, pointerY);
			walkingCycleBDBrain.logic(fpsLogicCount);
		}
		
		override public function render():void
		{
			super.render();
			spinningObjectsBrain.render();
			walkingCycleBDBrain.render();
		}
	}
}