package
{
import brains.SpinningObjectsBrain;

import flash.events.MouseEvent;
import flash.geom.Point;

/**
 * 0x50781C, 0x9CAD1C, 0xEAF7E6, 0x40A5DE, 0x0B5191
 * @author renaun
 */
[SWF(width=480, height=320, frameRate=10, backgroundColor=0x40A5DE)]
public class OITMouseMove extends OptimizeIt
{
	/**
	 * 	
	 */
	public function OITMouseMove()
	{
		//stage.addEventListener(MouseEvent.MOUSE_MOVE, mouseMoveHandler);
		stage.addEventListener(MouseEvent.MOUSE_DOWN, mouseDownHandler);
		stage.addEventListener(MouseEvent.MOUSE_UP, mouseUpHandler);
		
		spinningObjectsBrain = new SpinningObjectsBrain(stage, SpinnerBD, new Point(30, 30));
		spinningObjectsBrain.create(50, 480, 320);
		
	}
	
	private var spinningObjectsBrain:SpinningObjectsBrain;
	
	private function mouseMoveHandler(event:MouseEvent):void
	{
		pointerX = event.stageX;
		pointerY = event.stageY;
	}
	
	private function mouseDownHandler(event:MouseEvent):void
	{
		stage.addEventListener(MouseEvent.MOUSE_MOVE, mouseMoveHandler);
		
		pointerX = event.stageX;
		pointerY = event.stageY;
	}
	
	private function mouseUpHandler(event:MouseEvent):void
	{
		stage.removeEventListener(MouseEvent.MOUSE_MOVE, mouseMoveHandler);
		
		pointerX = event.stageX;
		pointerY = event.stageY;
	}
	
	override public function logic():void
	{
		spinningObjectsBrain.logic(pointerX, pointerY);
	}
	
	override public function render():void
	{
		spinningObjectsBrain.render();
	}
}
}