package
{
	import brains.SpinningObjectsBrain;
	import brains.WalkingCycleBlitBrain;
	
	import flash.geom.Point;
	import flash.geom.Rectangle;
	
	/**
	 * 0x50781C, 0x9CAD1C, 0xEAF7E6, 0x40A5DE, 0x0B5191
	 * @author renaun
	 */
	[SWF(width=480, height=320, frameRate=10, backgroundColor=0x40A5DE)]
	public class CGSpriteBDCWalkingBlit extends OptimizeIt
	{
		/**
		 * 	
		 */
		public function CGSpriteBDCWalkingBlit()
		{
			initMemory();
			spinningObjectsBrain = new SpinningObjectsBrain(stage, SpinnerBD, new Point(30, 30));
			spinningObjectsBrain.create(50, 480, 320, true);
			walkingCycleBlitBrain = new WalkingCycleBlitBrain(stage, WalkingCycleSpritesheet, new Rectangle(0, 0, 73, 141));
			walkingCycleBlitBrain.create(20, 480, 320);
			start();
		}
		
		private var walkingCycleBlitBrain:WalkingCycleBlitBrain;
		private var spinningObjectsBrain:SpinningObjectsBrain;
		
		override public function logic():void
		{
			super.logic();
			if (fpsLogicCount == testDuration)
				showFPS();
			spinningObjectsBrain.logic(pointerX, pointerY);
			walkingCycleBlitBrain.logic(fpsLogicCount);
		}
		
		override public function render():void
		{
			super.render();
			spinningObjectsBrain.render();
			walkingCycleBlitBrain.render();
		}
	}
}