package
{
	import brains.SpinningObjectsBrain;
	
	import flash.display.Sprite;
	import flash.geom.Matrix;
	import flash.geom.Point;
	
	/**
	 * 0x50781C, 0x9CAD1C, 0xEAF7E6, 0x40A5DE, 0x0B5191
	 * @author renaun
	 */
	[SWF(width=480, height=320, frameRate=20, backgroundColor=0x40A5DE)]
	public class CMouseStageF extends OptimizeIt
	{
		/**
		 * 	
		 */
		public function CMouseStageF()
		{
			initMemory();
			spinningObjectsBrain = new SpinningObjectsBrain(stage, SpinnerBD, new Point(30, 30));
			spinningObjectsBrain.create(150, 480, 320, true);
			
			mousePointer.graphics.beginFill(0xFF3333, 1);
			mousePointer.graphics.drawRect(-20, -20, 40, 40);
			mousePointer.graphics.endFill();
			mousePointer.cacheAsBitmap = true;
			mousePointer.cacheAsBitmapMatrix = new Matrix();
			stage.addChild(mousePointer);
			stage.mouseChildren = false;
			
			start(true);
		}
		
		private var mousePointer:Sprite = new Sprite();
		private var spinningObjectsBrain:SpinningObjectsBrain;
		
		override public function logic():void
		{		
			super.logic();
			if (fpsLogicCount == testDuration)
				showFPS();
			spinningObjectsBrain.logic(pointerX, pointerY);
		}
		
		override public function render():void
		{
			super.render();
			mousePointer.x = stage.mouseX;
			mousePointer.y = stage.mouseY;
			spinningObjectsBrain.render();
		}
	}
}